# comment out when not a hotfix release
%define hotfix	Update7
%define sub_ver	u7

%define up_ver	1.24

Summary:	Disk encryption software
Name:		veracrypt
Version:	%{up_ver}%{?sub_ver}
%define subrel  1
Release:	%mkrel 7
License:	Microsoft Public License
Group:		File tools
Url:		https://veracrypt.codeplex.com
Source0:	https://github.com/veracrypt/VeraCrypt/archive/VeraCrypt_%{up_ver}%{?hotfix:-%hotfix}.tar.gz
Patch2:		veracrypt-1.0f-2-desktop.patch
Patch3:		VeraCrypt-VeraCrypt_1.19-fix-desktop-files.patch
Patch4:		veracrypt-wxgtk3.1.4.patch
BuildRequires:	wxgtk3.1-devel
BuildRequires:	makeself
BuildRequires:	nasm
BuildRequires:	pkgconfig(fuse)
BuildRequires:	imagemagick
%ifarch %{ix86} x86_64
BuildRequires:	yasm
%endif

%description
Free disk encryption software based on TrueCrypt.

%files
%{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/*

#----------------------------------------------------------------------------

%prep
%setup -qn VeraCrypt-VeraCrypt_%{up_ver}%{?hotfix:-%hotfix}
%autopatch -p1

%build
pushd src
%make_build TC_EXTRA_LFLAGS+="%{ldflags} -ldl" \
            TC_EXTRA_CXXFLAGS="%{optflags}" \
            TC_EXTRA_CFLAGS="%{optflags}" \
            NOSTRIP=1 \
            VERBOSE=1
popd

pushd src/Resources/Icons
convert VeraCrypt-16x16.xpm VeraCrypt-16x16.png
convert VeraCrypt-48x48.xpm VeraCrypt-48x48.png
convert VeraCrypt-128x128.xpm VeraCrypt-128x128.png
popd

%install
pushd src
%make_install
popd

for png in 128x128 48x48 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  install -m 0644 src/Resources/Icons/VeraCrypt-${png}.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

rm -rf %{buildroot}%{_bindir}/%{name}-uninstall.sh


%changelog
* Wed Jan 05 2022 wally <wally> 1.24u7-7.1.mga8
+ Revision: 1767004
- rebuild for wxgtk 3.1.5 (mga#29848)

* Sun Jan 03 2021 wally <wally> 1.24u7-7.mga8
+ Revision: 1668453
- add even more wxgtk fixes

* Sun Jan 03 2021 wally <wally> 1.24u7-6.mga8
+ Revision: 1668389
- add more wxgtk >= 3.1.4 fixes

* Sun Jan 03 2021 wally <wally> 1.24u7-5.mga8
+ Revision: 1668385
- update wxgtk patch from r1668272

* Sat Jan 02 2021 wally <wally> 1.24u7-4.mga8
+ Revision: 1668272
- add patch to fix startup errors with wxgtk >= 3.1.4 (mga#27987)

* Fri Jan 01 2021 wally <wally> 1.24u7-3.mga8
+ Revision: 1667732
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.24u7-2.mga8
+ Revision: 1614373
- rebuild for new wxgtk 3.1.4

* Tue Aug 11 2020 daviddavid <daviddavid> 1.24u7-1.mga8
+ Revision: 1613197
- new version: 1.24-Update7

* Thu Mar 12 2020 daviddavid <daviddavid> 1.24u6-1.mga8
+ Revision: 1555750
- new version: 1.24-Update6
- fix Version tag

* Wed Mar 11 2020 daviddavid <daviddavid> 1.24-11.mga8
+ Revision: 1555456
- new version: 1.24-Update5

* Wed Feb 19 2020 umeabot <umeabot> 1.24-10.mga8
+ Revision: 1544318
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 daviddavid <daviddavid> 1.24-9.mga8
+ Revision: 1482847
- new version: 1.24-Update4

* Tue Dec 24 2019 daviddavid <daviddavid> 1.24-8.mga8
+ Revision: 1469883
- new version: 1.24-Update3

* Tue Dec 17 2019 daviddavid <daviddavid> 1.24-7.mga8
+ Revision: 1468653
- new version: 1.24-Update2
- remove merged upstream patches

* Tue Nov 12 2019 wally <wally> 1.24-6.mga8
+ Revision: 1459494
- rebuild for wxgtk 3.1.3

* Thu Oct 31 2019 daviddavid <daviddavid> 1.24-5.mga8
+ Revision: 1456894
- revert previous commit r1456652

* Wed Oct 30 2019 daviddavid <daviddavid> 1.24-4.mga8
+ Revision: 1456652
- add missing dependency on sudo (mga#25633)
- add a README.install.urpmi to tell users to add themselves to the
  wheel group on new installs

* Tue Oct 29 2019 daviddavid <daviddavid> 1.24-3.mga8
+ Revision: 1456450
- add upstream patch to fix compilation error on non-x86 platform by providing
  generic implementation for jent_get_nstime function

* Mon Oct 28 2019 daviddavid <daviddavid> 1.24-2.mga8
+ Revision: 1456404
- add upstream patch to fix build with gcc 9
  * https://github.com/veracrypt/VeraCrypt/issues/529
- new version: 1.24-Hotfix1

* Mon Oct 28 2019 daviddavid <daviddavid> 1.24-1.mga8
+ Revision: 1456164
- new version: 1.24

* Mon Jul 08 2019 wally <wally> 1.23-3.mga8
+ Revision: 1419537
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jun 30 2019 wally <wally> 1.23-2.mga8
+ Revision: 1416335
- rebuild with gtk3 enabled wxgtk 3.1.2

* Mon Sep 17 2018 daviddavid <daviddavid> 1.23-1.mga7
+ Revision: 1259278
- new version: 1.23

* Sat Apr 21 2018 daviddavid <daviddavid> 1.22-1.mga7
+ Revision: 1220644
- new version: 1.22
- add BR yasm only for x86 arches
- enable debug package as it should

* Sat Jun 03 2017 akien <akien> 1.19-2.mga6
+ Revision: 1106131
- Rebuild for wxgtk 3.0.3.1

* Fri Jun 02 2017 neoclust <neoclust> 1.19-1.mga6
+ Revision: 1105806
- imported package veracrypt

